<?php
namespace App\Model\Entities\Components;

use App\Model\Entities\BaseRecord;
use App\Model\Entities\Security\User;
use Doctrine\ORM\Mapping as ORM;


/**
 * @ORM\Entity
 * @ORM\Table(name="text_entry")
 * @ORM\InheritanceType(value="SINGLE_TABLE")
 * @ORM\DiscriminatorColumn(name="type")
 */
abstract class TextEntry extends BaseRecord
{
    /**
     * @ORM\Column(type="string")
     */
    protected $language;

    /**
     * TextEntry constructor.
     * @param User $createdBy
     */
    public function __construct(User $createdBy)
    {
        parent::__construct($createdBy);
    }

    /**
     * @return mixed
     */
    public function getLanguage()
    {
        return $this->language;
    }

    /**
     * @param mixed $language
     */
    public function setLanguage($language)
    {
        $this->language = $language;
    }

}